Create order flight

Creates a new Order Flight.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Campaign Budget Types

Order Flights inherit their budget type from the Campaign they belong to. The Campaign's budget type determines which budget fields are required:

MONETARY Campaigns

  • Required: maxBudget (in USD)
  • Optional: dailyBudget

IMPRESSIONS Campaigns

  • Required: lifetimeImpCap
  • Optional: dailyImpCap

The API validates the appropriate fields based on the Campaign's budget type.

Request Body

Name Type Description Required
budgetType string One of:
  • FIXED_BUDGET
  • AUTO_BUDGET
dailyBudgetstringThe daily budget limit in USD.Optional. Only applicable for MONETARY campaigns.
dailyFrontloadinteger
maxBudgetintegerThe maximum budget for the order flight in USD.Required if campaign budget type is MONETARY.
dailyImpCapintegerThe daily impressions cap.Optional. Only applicable for IMPRESSIONS campaigns.
lifetimeImpCapintegerThe total lifetime impressions cap for the order flight.Required if campaign budget type is IMPRESSIONS.
startDateintegerStart date of the order flight, passed as Unix time in milliseconds.
endDateintegerEnd date of the order flight, passed as Unix time in milliseconds.

Examples

Creating an Order Flight for a MONETARY Campaign

{
  "budgetType": "FIXED_BUDGET",
  "maxBudget": 5000,
  "dailyBudget": 500,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}

Creating an Order Flight for an IMPRESSIONS Campaign

{
  "budgetType": "FIXED_BUDGET",
  "lifetimeImpCap": 100000,
  "dailyImpCap": 10000,
  "startDate": 1766476800000,
  "endDate": 1769088800000
}
Path Params
integer
required

Ad Order ID

Body Params
string
enum
required
Allowed:
int32

The daily budget limit in USD.
Optional. Only applicable when the campaign's budget type is MONETARY.

int32
required
int32

The maximum budget for the order flight in USD.
Required if the campaign's budget type is MONETARY.
Not applicable if the campaign's budget type is IMPRESSIONS.

int32

The daily impressions cap.
Optional. Only applicable when the campaign's budget type is IMPRESSIONS.

int32

The total lifetime impressions cap for the order flight.
Required if the campaign's budget type is IMPRESSIONS.
Not applicable if the campaign's budget type is MONETARY.

int64
required
int64
required
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json